function err_ = JenShan(A, R, W)
err_ = JenShanOneWay(A, R, W) + JenShanOneWay(R, A, W);

end


function val = JenShanOneWay(A, R, W)
T = A.*log(2*A./(A+R));
T(A == 0) = 0;
val = sum(sum(T .* W));
end