function err_ = JenShanBase2(A, R, W)
err_ = (JenShanOneWay(A, R, W) + JenShanOneWay(R, A, W)) / 2;

end


function val = JenShanOneWay(A, R, W)
T = A.*log(2*A./(A+R))/log(2);
T(A == 0) = 0;
val = sum(sum(T .* W));
end
