function [Cj, t] = solveMixRegresseon(Aj, B, Cj, thetaCol, t)
NITER = 1;
for iter = 1 : NITER
    alpha = log_fun(bsxfun(@plus, thetaCol, t));
    % Find the factor.
    Cj = solveRelaxedLeastSquares(Aj, B, Cj, alpha);
    
    % Find the param.
    F = MaxVecProd(B, Cj);
    G = B * Cj;
    t = getParamsGradDescent(thetaCol, Aj, F, G);
end
end