function output = MixProd(B, C, col, row)
n = size(B, 1);
m = size(C, 2);
beta = bsxfun(@plus, col, row);
alpha = log_fun(beta);
output = zeros(n, m);
for j = 1:m
    T = bsxfun(@times, B, C(:,j)');
    output(:, j) = alpha(:, j) .* max(T,[],2) ...
        + (1-alpha(:,j)) .* sum(T, 2);
end
end