function output = MixProdAlpha(B, C, alpha)
n = size(B, 1);
m = size(C, 2);
output = zeros(n, m);
for j = 1:m
    T = bsxfun(@times, B, C(:,j)');
    output(:, j) = alpha(:, j) .* max(T,[],2) ...
        + (1-alpha(:,j)) .* sum(T, 2);
end
end